package com.aliyun.chatbot.channel.controller;

import com.aliyun.chatbot.channel.client.ChatProxyClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.mvc.method.annotation.SseEmitter;

/**
 * @author kelin
 * @date 2024/6/14
 */
@RequestMapping("sse")
@Controller
public class SSEController {

    @Autowired
    private ChatProxyClient chatProxyClient;

    @RequestMapping("chat")
    public SseEmitter chat(String sessionId, String query) {
        SseEmitter emitter = new SseEmitter(6000_000L);
        chatProxyClient.chat(sessionId, query, emitter);
        return emitter;
    }
}
